"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-39/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabf1f0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabf280>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabf310>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabf3a0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabf430>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabf4c0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabf550>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabf5e0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabf670>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabf700>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabf790>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabf820>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabf8b0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabf940>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabf9d0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabfa60>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabfaf0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabfb80>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabfc10>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabfca0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabfd30>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabfdc0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabfe50>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabfee0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac4040>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fabff70>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac40d0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac4160>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac41f0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac4280>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac4310>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac43a0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac4430>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac44c0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac4550>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac45e0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac4670>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac4700>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac4790>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac4820>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac48b0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac4940>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac49d0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac4a60>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac4af0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac4b80>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac4c10>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac4ca0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac4d30>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac4dc0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac4e50>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac4ee0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac4f70>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac8040>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac80d0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac8160>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac81f0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac8280>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac8310>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac83a0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac8430>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac84c0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac8550>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac85e0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac8670>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac8820>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac8700>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac88b0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac8940>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac89d0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac8a60>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac8af0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac8c10>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac8b80>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac8ca0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac8d30>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac8dc0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac8ee0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac8e50>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43fac8f70>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43faca040>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43faca0d0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43faca160>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43faca1f0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fe43faca280>)]
name: str = 'fr_HOCCN'
